/*

  Ports auf Eval-Board
    
  Fkt.     AT11/12/13   2313     JP40     2313    J40
  -----------------------------------
  Out      5-PB0 OC0A   17-PB5   14       14-PB2  11
  MISO     6-PB1 OC0B   18-PB6   15
  SCK      7-PB2        19-PB7   16
  CS       2-PB3        16-PB4   13
  MOSI     3-PB4        15-PB3   12
  
  T13A
      43210
  Dir 11101  0x1d
  Out 11111  0x1F
      
  
  SD-Card
     
  /  1   2  3   4   5   6   7
  9  CS  DI GND VDD SCK GND DO  NC NC
     |   |  |
     |   |  |
     |   |  |
  1  2   3  4
  /R CS  MO GND
  
  
     SCK
  VCC    MI Out
  8  7   6  5
  
  DIP-Socket


*/


// Features
#define MMC_MULTIBLOCK_READ    1  // -20 if set 
#define MEASURE_TCNT0_OCWR     0
#define UART_TESTOUT           0
#define FULL_SD_VALID_CHECK    0  // +84 Bytes Flash when set
#define MMC_BIG_FILES          0  // if set to zero, sector-cnt is limited to 64k => Filesize max. ~ 33MB, no sanity-checks  When set +36 Flash +2 Bytes RAM
#define MMC_IDLE_MODE          0  // Card returns to idle after playback
#define MMC_NO_RETURN_CODE     1  // -2 Bytes, main doesnt get a detailed reason what went wrong
#define MMC_MAXPLAY            0  // -34 plays first 64k Sectors = 33MB, no matter how big or small the file really is
#define MMC_DIR_SCAN           0  // -18(0)  1: scan first 16 entries for a WAV-file  0:do not scan directory for WAVs but simply pick the first entry no matter what


#if MMC_BIG_FILES && MMC_MAXPLAY
  #error "This doesnt make sense! Switchoff BIG-FILES for MAX_PLAY"
#endif


#define SD_PORT      PORTB
#define SD_READPORT  PINB

#define SPI_MISO  1
#define SPI_MOSI  4
#define SPI_CS    3
#define SPI_Clock 2

// Right now only 32 and 64 byte buffers are supported by the code, 128 / 256 / 512 implementation should be easy though
//#define MAX_RD_SIZE  64
#define MAX_RD_SIZE  32
 #define SECTOR_HALF_BIT_MSK   (MAX_RD_SIZE/2)  // 0x20 for 64 bytes buffer, 0x10 for 32 bytes buffer
 
//#define DISCARD_BLOCKS ((512/MAX_RD_SIZE)-1)  // How many reads do we need after reading the first until we get to the last block?

 
#if (MAX_RD_SIZE==32) && FULL_SD_VALID_CHECK
  #error "Full check with 32 Byte-Buffer not possible"
#endif
